Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_node_static_iterator_create

## Name

librdf_node_static_iterator_create -- Create an iterator over an array of nodes

## Synopsis

``librdf_iterator* `librdf_node_static_iterator_create`` (librdf_node** `nodes`, int `size`);`

## Arguments

`nodes`

  static array of librdf_node objects

`size`

  size of array

## Description

This creates an iterator for an existing static array of librdf_node objects. It is mostly intended for testing iterator code.

## Return value

a librdf_iterator serialization of the nodes or NULL on failure

<<< Previous | Home | Next >>>
librdf_node_decode | Up | RDF Parsers